<template>
    <div class="item" 
    v-bind:class="{'is-completed':item.completed}"
    v-on:dblclick="markCompleted(item._id)">        
        <p>
            {{item.product}}
            <button @click="$emit('del-item', item._id)" class="del">X</button>
        </p>
    </div>    
</template>

<script>
    import ShoppingItemService from '../../services/ShoppingItemService';

    export default {
        name: "Item",
        props: ["item"],
        methods: {
            markCompleted() {
                this.item.completed = !this.item.completed;
                ShoppingItemService.updateItem(this.item);
            }
        }
    }
</script>

<style scoped>
    .item {
        background: #f4f4f4;
        padding: 10px;
        border-bottom: 1px #ccc dotted;
    }

    .is-completed {
        text-decoration: line-through;
    }

    .del {
        background: #f00;
        color: #fff;
        border: none;
        padding: 5px 9px;
        border-radius: 50%;
        cursor: pointer;
        float: right;
    }
</style>

